%define module	Catalyst-Plugin-DefaultEnd
%define name	perl-%module
%define	modprefix Catalyst

%define version	0.06
%define	rel	3
%define release	%mkrel %{rel}

Summary:	Sensible default end action for Catalyst
Name:		%name
Version:	%version
Release:	%release
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%module/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%module-%version.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Catalyst) >= 5.20
BuildArch:	noarch
Buildroot:	%_tmppath/%name-buildroot

%description
This action implements a sensible default end action, which will forward to the
first available view, unless status is set to 3xx, or there is a response body.

%prep
%setup -q -n %module-%version

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%buildroot

%files
%defattr(644,root,root,755)
%doc README Changes
%perl_vendorlib/%{modprefix}
%_mandir/*/*

%clean
rm -rf %{buildroot}



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.06-3mdv2009.0
+ Revision: 136677
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-3mdv2008.0
+ Revision: 86005
- rebuild


* Thu Jun 29 2006 Scott Karns <scottk@mandriva.org> 0.06-2mdv2007.0
- Rebuild

* Thu Apr 27 2006 Scott Karns <scottk@mandriva.org> 0.06-1mdk
- 0.06

* Fri Mar 31 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.05-1mdk
- 0.05

* Thu Jan 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.04-1mdk
- Initial MDV RPM

